Subject: [PATCH 1/2] extcon: palmas: Added a new compatible type *ti, palmas-usb-vid*

From: [email-masked] (Benoit Cousson)
Date: Thu, 15 Aug 2013 18:09:54 +0200

Hi Kishon,

On 14/08/2013 07:24, Kishon Vijay Abraham I wrote:
> Hi,
>
> On Wednesday 14 August 2013 12:43 AM, Stephen Warren wrote:
>> On 08/12/2013 11:37 PM, Kishon Vijay Abraham I wrote:
>>> The Palmas device contains only a USB VID detector, so added a
>>> compatible type *ti,palmas-usb-vid*. Dint remove the existing compatible
>>
>> s/Dint/Didn't/
>>
>>> diff --git a/Documentation/devicetree/bindings/extcon/extcon-twl.txt b/Documentation/devicetree/bindings/extcon/extcon-twl.txt
>>
>>>   PALMAS USB COMPARATOR
>>>   Required Properties:
>>> - - compatible : Should be "ti,palmas-usb" or "ti,twl6035-usb"
>>> + - compatible : Should be "ti,palmas-usb" or "ti,twl6035-usb" or
>>> +   "ti,palmas-usb-vid".
>>
>> So are ti,palmas-usb and ti,twl6035-usb full EHCI controllers then?
>
> No. I thought I shouldn't remove those if someone is already using those
> compatible value.

Well, I think we still have a short period of time where we can clean 
some badly defined bindings before it is really too late.

Both kernel and DTS are still in sync for the moment, so changing both 
at the same time should be safe.

Regards,
Benoit